Dépot git de mon site web. Contient des scripts permettant de générer les 
fichiers html, à partir de fichiers ou org ainsi que de lier la partie annuaire 
avec le reste.

**/!\ Le script `generate.sh` est pensé pour mon utilisation. /!\\** Vous pouvez
essayer de l'utiliser pour votre site mais c'est à vos risques et périles.
N'hésitez pas à utiliser `generate.sh -h` pour voir comment l'utiliser.

# Dépendances

* `htmlize` et `org` (par défaut dans Emacs).
* Docker si vous souhaitez tester le site en local avec les images.

Dans Emacs: `M-x` package-install `RET` htmlize `RET`

# Construire le site

`./generate.sh`

# Rajouter des liens / langues

## Langues

Pour rajouter des langues, il suffit de créer un dossier dans `lang`. Il faut
ensuite modifier le fichier `header.html` en rajoutant la langue dans la `div`
lang. La ligne doit ressembler à ceci (où `lang` est le nom de la nouvelle
langue) :

```html
<a href="/lang/%file%"><img alt="lang" src="/img/lang.svg" height=35 /></a>
```

Le fichier `lang/links.config` contient des colognes indiquant les différents
noms de fichiers entre les différentes langues, permettant ainsi le bouton pour
changer de langue en haut à droite des différentes pages.

## Liens dans le menu

Pour rajouter des liens dans le menu principal, il faut écrire dans le fichier
`lang/<langue>/header.link`, dans la liste `%links`. Il est possible de mettre
une ligne en commentaire en la commencant avec `#`. Il faut sinon suivre cette
structure : `fichier.html : nom du lien dans le menu`.

Il est aussi possible de changer le sous-titre du site dans la balise
`%subtitle`.
